package org.implab.gradle.variants.artifacts.internal;

import org.eclipse.jdt.annotation.NonNullByDefault;

@NonNullByDefault
interface SlotInputKey {

    static SlotInputKey newUniqueKey(String hint) {
        return new SlotInputKey() {
            @Override
            public String toString() {
                return hint;
            }
        };
    }

    static SlotInputKey newUniqueKey() {
        return newUniqueKey("unnamed");
    }
}
